Subject: pkg/36577: [inputmethod/anthy-elisp] file-check fails
To: None <,,>
From: Ryo HAYASAKA <>
List: pkgsrc-bugs
Date: 06/29/2007 15:00:01
>Number:         36577
>Category:       pkg
>Synopsis:       [inputmethod/anthy-elisp] file-check fails
>Confidential:   no
>Severity:       serious
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Fri Jun 29 15:00:01 +0000 2007
>Originator:     Ryo HAYASAKA
>Release:        NetBSD 4.99.20, pkgsrc-current
Japan Advanced Institute of Science and Technology (JAIST)
System: NetBSD 4.99.20 NetBSD 4.99.20 (BONNIE) #686: Tue Jun 5 18:35:02 JST 2007 i386
Architecture: i386
Machine: i386
Checking file-check fails as follows:

$ make replace
===> replace-message [anthy-elisp-7900nb3] ===> Replacing for anthy-elisp-7900nb3
WARNING: experimental target - DATA LOSS MAY OCCUR.
=> Becoming ``root'' to make su-replace (/usr/pkg/bin/sudo)
Creating binary package: anthy-elisp-7900nb3
Creating package /usr/pkgsrc/inputmethod/anthy-elisp/work/anthy-elisp-7900nb3.tbz
Registering depends: anthy>=7900 emacs>=21.2 leim>=21.2.
Registering conflicts: xemacs-anthy-elisp-[0-9]*.
pkg_create: can't stat `/usr/pkg/share/emacs/site-lisp/anthy/leim-list.elc'
tar: Unable to access share/emacs/site-lisp/anthy/leim-list.elc (No such file or directory)
tar: WARNING! These file names were not selected:
pkg_create: tar command failed with code 1
=> Preserving existing +REQUIRED_BY file.
===> deinstall [anthy-elisp-7900nb3] ===> Deinstalling for anthy-elisp-7900nb3
Running /usr/sbin/pkg_delete -K /var/db/pkg  anthy-elisp-7900nb3
pkg_delete: file `/usr/pkg/share/emacs/site-lisp/anthy/leim-list.elc' doesn't really exist
pkg_delete: couldn't entirely delete package `anthy-elisp-7900nb3'
(perhaps the packing list is incorrectly specified?)
===> install-message [anthy-elisp-7900nb3] ===> Installing for anthy-elisp-7900nb3
=> Generating pre-install file lists
/usr/bin/install -d -o root -g wheel -m 755 /usr/pkg/share/emacs/site-lisp/anthy
/usr/bin/install -c -o root -g wheel -m 444 /usr/pkgsrc/inputmethod/anthy-elisp/work/anthy-7900/src-util/*.el    /usr/pkg/share/emacs/site-lisp/anthy
/usr/bin/install -c -o root -g wheel -m 444 /usr/pkgsrc/inputmethod/anthy-elisp/work/anthy-7900/src-util/*.elc /usr/pkg/share/emacs/site-lisp/anthy
=> Automatic manual page handling
=> Generating post-install file lists
pkg_create: can't stat `/usr/pkg/share/emacs/site-lisp/anthy/leim-list.elc'
=> Registering installation for anthy-elisp-7900nb3
pkg_admin: anthy-elisp-7900nb3: File `/usr/pkg/share/emacs/site-lisp/anthy/leim-list.elc' is in +CONTENTS but not on filesystem!
anthy-elisp-7900nb3 requires installed package anthy-7900
anthy-elisp-7900nb3 requires installed package emacs-22.1
=> Checking file-check results for anthy-elisp-7900nb3
ERROR: ************************************************************
ERROR: The following files are in the PLIST but not in /usr/pkg:
ERROR:         /usr/pkg/share/emacs/site-lisp/anthy/leim-list.elc
*** Error code 1

make: stopped in /usr/pkgsrc/inputmethod/anthy-elisp